Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.ray
Class GroIMPSceneGraph

    java.lang.Object
      de.grogra.imp3d.ray.GroIMPSceneGraph

All Implemented Interfaces:
  RTScene

    public class GroIMPSceneGraph

extends java.lang.Object
implements RTScene

Constructor Summary
`GroIMPSceneGraph(Tree tree)`

Method Summary
`java.lang.Object` | `getGraph()`
`int` | `getLightsCount()` Returns the number of light in this scene.
`int` | `getShadeablesCount()` Returns the number of shadeable (visible) objects in the scene.
`int` | `getStamp()` Returns a modification stamp for the scene graph.
`void` | `traversSceneLights(RTSceneVisitor visitor)` Provides an access to all light objects in this scene.
`void` | `traversSceneObjects(RTSceneVisitor visitor)` Provides an access to all objects in this scene.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroIMPSceneGraph

    public GroIMPSceneGraph(Tree tree)

Method Detail

### getGraph

    public java.lang.Object getGraph()

  Specified by:
    `getGraph` in interface `RTScene`

### getLightsCount

    public int getLightsCount()

  Description copied from interface: `RTScene`
  Returns the number of light in this scene.

  Specified by:
    `getLightsCount` in interface `RTScene`
  Returns:
    number of scene lights

### getShadeablesCount

    public int getShadeablesCount()

  Description copied from interface: `RTScene`
  Returns the number of shadeable (visible) objects in the scene.

  Specified by:
    `getShadeablesCount` in interface `RTScene`
  Returns:
    number of shadeable objects

### getStamp

    public int getStamp()

  Description copied from interface: `RTScene`
  Returns a modification stamp for the scene graph. Each modification increments the value, so that the test whether some modification occured can be simply performed on values of the stamp.

  Specified by:
    `getStamp` in interface `RTScene`
  Returns:
    a stamp for the whole graph

### traversSceneLights

    public void traversSceneLights(RTSceneVisitor visitor)

  Description copied from interface: `RTScene`
  Provides an access to all light objects in this scene. For each light object the methode RTSceneVisitor.visitObject(RTObject object) is called.

  Specified by:
    `traversSceneLights` in interface `RTScene`
  Parameters:
    `visitor` - a visitor object that can perform a proccessing with a concrete scene light.
  See Also:
    `RTSceneVisitor`

### traversSceneObjects

    public void traversSceneObjects(RTSceneVisitor visitor)

  Description copied from interface: `RTScene`
  Provides an access to all objects in this scene. For each object the methode RTSceneVisitor.visitObject(RTObject object) is called.

  Specified by:
    `traversSceneObjects` in interface `RTScene`
  Parameters:
    `visitor` - a visitor object that can perform a proccessing with a concrete scene object.
  See Also:
    `RTSceneVisitor`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD